@font-face {
    font-family: "Twemoji Country Flags";
    font-style: normal;
    src: url("../fonts/TwemojiCountryFlags.woff2") format("woff2");
    unicode-range: U+1F1E6-1F1FF, U+1F3F4, U+E0062-E0063, U+E0065, U+E0067, U+E006C, U+E006E, U+E0073-E0074, U+E0077, U+E007F;
}
*:not(code), ::before, ::after {
    box-sizing: border-box;
    font-family: "Twemoji Country Flags", Inter, SF Pro, Segoe UI, Roboto, Oxygen, Ubuntu, Helvetica Neue, Helvetica, Arial, sans-serif !important;
}
html, body {
    width: 100%;
    height: auto;
    background: rgb(10, 10, 10);
    color: white;
    overflow-wrap: break-word;
    overflow-x: hidden;
}
body {
    width: auto;
    max-width: 75rem;
    margin: auto;
    padding: 2rem;
    overflow: hidden;
}
html:has(.pip-mode), body:has(.pip-mode) {
    padding: 0 !important;
    background: black !important;
}
.pip-mode {
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    width: min(100%, calc(100vh * 16 / 9)) !important;
    position: absolute !important;
}
h1 {
    margin-bottom: 0.5rem;
}
h3 {
    margin-top: 0.5rem;
    gap: 0.5rem;
}
h3, h3 a {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-decoration: none;
}
h3 img {
    height: 1.25rem;
}
a {
    color: white;
}
#player, iframe {
    background: black;
    aspect-ratio: 16 / 9;
    width: 100%;
    height: auto;
    border-radius: 0.5rem;
    overflow: hidden;
}
video {
    width: 100%;
}
.hidden {
    display: none !important;
}
#show-selection {
    margin-top: 2rem;
}
input[type="radio"] {
    margin-right: 0.5rem;
}
#channels, #stream-url {
    width: 100%;
    font-size: 1.25rem;
    padding: 0.5rem 1rem;
    background: black;
    color: white;
    font: inherit;
    border: 1px solid rgb(37, 37, 37);
    border-radius: 0.5rem;
    outline: none;
}
#channels {
    margin-top: 0.5rem;
}
#channels:required:invalid {
    font-style: italic;
    color: rgba(255, 255, 255, 0.5);
}
optgroup {
    font-style: normal !important;
    color: rgba(255, 255, 255, 0.6666);
}
option {
    font-style: normal;
    color: rgb(255, 255, 255);
}
option[disabled] {
    display: none;
}
#player-container {
    position: relative;
    margin: 2rem 0;
}
#mixed-content-instructions img {
    height: 0.75rem;
    margin: 0 0.25rem;
}
#vlc-instructions p {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.5rem;
}
code {
    padding: 0.5rem 1rem;
    background: #000000;
    border-radius: 0.5rem;
    font-weight: bold;
    border: 1px solid rgb(37, 37, 37);
    font-size: 1rem;
}
#original-audio {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 0.25rem;
    text-align: center;
    opacity: 0;
    transition: cubic-bezier(0.4, 0, 0.6, 1) 600ms;
}
#original-audio #arrow {
    font-size: 1.5rem;
}
#original-audio #original-audio-text {
    width: 15rem;
    margin-top: -0.5rem;
    z-index: -1;
    background: rgb(10, 10, 10);
    padding: 0.5rem 1rem;
}
.shaka-video-container:not(.hidden):not(.no-cursor) ~ #original-audio, iframe:hover ~ #original-audio, #original-audio:hover {
    opacity: 0.75;
}
#iptv-client-instructions {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
#iptv-client-instructions code {
    padding: 0.25rem 0.5rem;
}

#restreamer-check div {
    display: flex;
    gap: 0.5rem;
}
#restreamer-check a {
    text-decoration: none;
    background: #0076ff;
    border-radius: 0.5rem;
    display: flex;
    align-items: center;
    padding: 0.5rem 1rem;
}